commit:     74c551ae97e97bb2468e60a62ef2f8d17c8ed214
Author:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
AuthorDate: Tue Jul  8 02:03:10 2025 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Tue Jul  8 22:59:45 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=74c551ae

net-analyzer/wapiti: update fix absolutely trash test restriction

> Many tests require execution of local test php server

is surely not true, it simply needs dev-lang/php installed. So, there's
no earthly reason to restrict it.

Once we try running tests, there is a cascade of failures. The biggest
one is the source tarball doesn't come with them -- perhaps this would
be noticed if we tried running them, eh?

There are a *bunch* of other missing test deps too.

And while we are here -- remove the need for pytest-cov via sed on
"addopts". There's never a good reason to depend on linting plugins just
because pytest.ini (or equivalent) enables it by default in CI.

Bug: https://bugs.gentoo.org/952156
Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>

 net-analyzer/wapiti/Manifest            |  2 +-
 net-analyzer/wapiti/wapiti-3.1.7.ebuild | 20 +++++++++++---------
 2 files changed, 12 insertions(+), 10 deletions(-)

diff --git a/net-analyzer/wapiti/Manifest b/net-analyzer/wapiti/Manifest
index bdfbcf26edfe..9a906a399050 100644
--- a/net-analyzer/wapiti/Manifest
+++ b/net-analyzer/wapiti/Manifest
@@ -1 +1 @@
-DIST wapiti3-3.1.7.tar.gz 537866 BLAKE2B 
2c58e20b5f754d5c461103a457aa18cfeb93b4ee7ca4c7525e29642f9cd027ece6f64a547b43b4c257c9cf27ae562ef9cb130e5635f1c13c9fdcda6b3f0a4ebf
 SHA512 
d5a49a0f4c361f699f792b2b0c19a3ca65131534e5b244a8692137d1c63f120d33c47de41a6e4639316b63dd301396ae4f0b26f41259077ca34fba5065a36857
+DIST wapiti-3.1.7.gh.tar.gz 1842342 BLAKE2B 
3d86af5085eb9e5e63608af91ed553596b962225e214476781b18f5730c5e7e2beff27e683544ee49d0a267f0a71b58278d2baaef7b1258b2e72721f86843970
 SHA512 
e5524427a6933cf049dc16acf5b1b2481ed5eaa69e91952cb1932e873398961f5aaaab113d481f585e5d4de6efabd124dd36f6b8b6dbef0da256dcfd6c1ebdd6

diff --git a/net-analyzer/wapiti/wapiti-3.1.7.ebuild 
b/net-analyzer/wapiti/wapiti-3.1.7.ebuild
index b4c683382183..a4bb3b0f36ff 100644
--- a/net-analyzer/wapiti/wapiti-3.1.7.ebuild
+++ b/net-analyzer/wapiti/wapiti-3.1.7.ebuild
@@ -4,20 +4,16 @@
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-# Deps missing for 3.12
 PYTHON_COMPAT=( python3_{10..11} )
 PYTHON_REQ_USE='xml(+)'
 
 inherit distutils-r1
 
-MY_P=${PN}3-${PV}
 DESCRIPTION="Web-application vulnerability scanner"
 HOMEPAGE="https://wapiti-scanner.github.io/";
 SRC_URI="
-       https://downloads.sourceforge.net/${PN}/${MY_P}.tar.gz
-       
https://github.com/wapiti-scanner/wapiti/releases/download/${PV}/${MY_P}.tar.gz
+       https://github.com/wapiti-scanner/wapiti/archive/refs/tags/${PV}.tar.gz 
-> ${P}.gh.tar.gz
 "
-S=${WORKDIR}/${MY_P}
 
 LICENSE="GPL-2"
 SLOT="0"
@@ -52,20 +48,26 @@ RDEPEND="
        >=net-proxy/mitmproxy-9.0.0[${PYTHON_USEDEP}]"
 
 distutils_enable_tests pytest
-# Tests also require unpackaged respx
 BDEPEND+=" test? (
+                               dev-lang/php
+                               dev-python/greenlet[${PYTHON_USEDEP}]
+                               dev-python/humanize[${PYTHON_USEDEP}]
                                dev-python/pytest-asyncio[${PYTHON_USEDEP}]
-                               dev-python/pytest-cov[${PYTHON_USEDEP}]
                                dev-python/responses[${PYTHON_USEDEP}]
+                               dev-python/respx[${PYTHON_USEDEP}]
                                )"
-# Many tests require execution of local test php server
-RESTRICT="test"
 
 PATCHES=( "${FILESDIR}"/${PN}-3.1.6-setup_scripts.patch )
 
 python_prepare_all() {
+       sed -i 's/--cov --cov-report=xml//' setup.cfg || die
        sed -e 's/"pytest-runner"//' \
                -e "/DOC_DIR =/s/wapiti/${PF}/" \
                -i setup.py || die
        distutils-r1_python_prepare_all
 }
+
+EPYTEST_IGNORE=(
+       # requires humanize, unpackaged sslyze
+       tests/attack/test_mod_ssl.py
+)

Reply via email to